package cn.com.ty.lift.business.annualinspection.service;

import cn.com.ty.lift.business.annualinspection.dto.InspectionRequest;
import cn.com.ty.lift.business.annualinspection.dto.InspectionResponse;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import cn.com.ty.lift.business.annualinspection.mapper.AnnualInspectionMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 年检记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Service
public class AnnualInspectionService extends ServiceImpl<AnnualInspectionMapper, AnnualInspection> {

    public IPage<InspectionResponse> pageByCondition(InspectionRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<InspectionResponse> page = new Page<>(pageNum,pageSize);
        IPage<InspectionResponse> lists = baseMapper.pageByCondition(page,request);
        return lists;
    }

    public long countByCondition(InspectionRequest request) {
        return baseMapper.countByCondition(request);
    }

    public InspectionResponse selectByIdWithInfo(InspectionRequest request) {
        return baseMapper.selectByIdWithInfo(request);
    }

    public IPage<InspectionResponse> pageByUser(InspectionRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<InspectionResponse> page = new Page<>(pageNum,pageSize);
        return baseMapper.pageByUser(page,request);
    }
}
