package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.common.utils.ProjectUtils;
import cn.com.ty.lift.system.constants.CommonConstants;
import cn.com.ty.lift.system.user.dao.entity.model.LiftCertificate;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;
import cn.com.ty.lift.system.user.dao.mapper.MtCompanyUserMapper;
import cn.com.ty.lift.system.user.service.IProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description
 */
@Service
public class ProjectService implements IProjectService {

    @Autowired
    private MtCompanyUserMapper mtCompanyUserMapper;

    @Override
    public Map<String, String> judgeKickOutTeam(ProjectUser projectUser) {
        Map<String, String> returnMsg = new HashMap<>();
        //获取用户在当前公司的项目
        Long companyProjectCount = mtCompanyUserMapper.getCompanyUserProject(projectUser);
        if(companyProjectCount != null && companyProjectCount > 0L){
            returnMsg.put(CommonConstants.RETURN_CODE_FIELD, ApiConstants.RESULT_ERROR);
            returnMsg.put(CommonConstants.RETURN_MSG_FIELD, "无法踢出团队，请先取消用户关联项目");
            return returnMsg;
        }
        //获取用户在当前公司有没有急修任务
        Long companyEmergencyCount = mtCompanyUserMapper.getCompanyUserEmergency(projectUser);
        if(companyEmergencyCount != null && companyEmergencyCount > 0L){
            returnMsg.put(CommonConstants.RETURN_CODE_FIELD, ApiConstants.RESULT_ERROR);
            returnMsg.put(CommonConstants.RETURN_MSG_FIELD, "无法踢出团队，用户有正在进行的急修项目");
            return returnMsg;
        }

        returnMsg.put(CommonConstants.RETURN_CODE_FIELD, ApiConstants.RESULT_SUCCESS);
        return returnMsg;
    }

    @Override
    public List<LiftCertificate> getLiftCertificateList(ProjectUser projectUser) {
        return mtCompanyUserMapper.getLiftCertificateList(projectUser);
    }

    @Override
    public LiftCertificate getLiftCertificateByUserIdAndCompanyId(ProjectUser projectUser) {
        return mtCompanyUserMapper.getLiftCertificateByUserIdAndCompanyId(projectUser);
    }

    @Override
    public Map<Long, LiftCertificate> getUserIdToLiftCertificateByUserIdListAndCompanyId(List<Long> userIdList, Long companyId) {
        List<LiftCertificate> liftCertificateList = mtCompanyUserMapper.getLiftCertificateList(new ProjectUser(companyId, userIdList));
        return ProjectUtils.attrToObjMap(liftCertificateList, "userId", null);
    }
}
